##############################################################################
## This file is part of 'SLAC Firmware Standard Library'.
## It is subject to the license terms in the LICENSE.txt file found in the
## top-level directory of this distribution and at:
##    https://confluence.slac.stanford.edu/display/ppareg/LICENSE.html.
## No part of 'SLAC Firmware Standard Library', including this file,
## may be copied, modified, propagated, or distributed except according to
## the terms contained in the LICENSE.txt file.
##############################################################################
#schemaversion 3.0.0
#once EthMacPhy.yaml

EthMacPhy: &EthMacPhy
  class: MMIODev
  configPrio: 1
  description: EthMacPhy
  size: 0x1000
  children:
    #########################################################
    StatusCounters:
      at:
        offset: 0x000
        nelms: 32
      class: IntField
      mode: RO
      description: Status Counters
    #########################################################
    StatusVector:
      at:
        offset: 0x100
      class: IntField
      sizeBits: 32
      mode: RO
      description: Status Vector
    #########################################################
    CoreStatusVector:
      at:
        offset: 0x108
      class: IntField
      sizeBits: 16
      mode: RO
      description: Status Vector of Xilinx PCS/PMA IP Core
    #########################################################
    MacAddress:
      at:
        offset: 0x200
      class: IntField
      sizeBits: 48
      mode: RO
      description: MAC Address (big-Endian)
    #########################################################
    PauseTime:
      at:
        offset: 0x21C
      class: IntField
      sizeBits: 16
      mode: RO
      description: PauseTime
    #########################################################
    FilterEnable:
      at:
        offset: 0x228
      class: IntField
      sizeBits: 1
      mode: RO
      description: FilterEnable
    #########################################################
    PauseEnable:
      at:
        offset: 0x22C
      class: IntField
      sizeBits: 1
      mode: RO
      description: PauseEnable
    #########################################################
    RollOverEn:
      at:
        offset: 0xF00
      class: IntField
      sizeBits: 32
      mode: RW
      description: RollOverEn
    #########################################################
    CounterReset:
      at:
        offset: 0xFF4
      class: IntField
      sizeBits: 1
      mode: WO
      description: CounterReset
    #########################################################
    SoftReset:
      at:
        offset: 0xFF8
      class: IntField
      sizeBits: 1
      mode: WO
      description: SoftReset
    #########################################################
    HardReset:
      at:
        offset: 0xFFC
      class: IntField
      sizeBits: 1
      mode: WO
      description: HardReset
    #########################################################
